import { IgcColumnSummaryDescription } from "./igc-column-summary-description";
import { ColumnSummaryDescriptionCollection as ColumnSummaryDescriptionCollection_internal } from "./ColumnSummaryDescriptionCollection";
export declare class IgcColumnSummaryDescriptionCollection {
    protected createImplementation(): ColumnSummaryDescriptionCollection_internal;
    protected _implementation: any;
    readonly i: ColumnSummaryDescriptionCollection_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
    item(index: number, value?: IgcColumnSummaryDescription): IgcColumnSummaryDescription;
    readonly count: number;
    toArray(): IgcColumnSummaryDescription[];
    [Symbol.iterator](): IterableIterator<any>;
    findByName(name: string): any;
    add(item: IgcColumnSummaryDescription): boolean;
    insert(index: number, item: IgcColumnSummaryDescription): void;
    clear(): void;
    indexOf(item: IgcColumnSummaryDescription): number;
    remove(item: IgcColumnSummaryDescription): boolean;
    removeAt(index: number): IgcColumnSummaryDescription;
}
